%define upstream_name    CPAN-Reporter
%define upstream_version 1.1902

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Adds CPAN Testers reporting to CPAN.pm
License:    Apache License
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN) >= 1.930.100
BuildRequires: perl(CPAN::Version)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Config::Tiny) >= 2.80.0
BuildRequires: perl(Devel::Autoflush) >= 0.40.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive) >= 0.350.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.580.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.190.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(File::pushd) >= 0.320.0
BuildRequires: perl(IO::CaptureOutput) >= 1.30.0
BuildRequires: perl(IO::File)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Tee) >= 0.140.0
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::Reporter) >= 1.540.0
BuildRequires: perl(constant)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
The CPAN Testers project captures and analyses detailed results from
building and testing CPAN distributions on multiple operating systems and
multiple versions of Perl. This provides valuable feedback to module
authors and potential users to identify bugs or platform compatibility
issues and improves the overall quality and value of CPAN.

One way individuals can contribute is to send a report for each module that
they test or install. CPAN::Reporter is an add-on for the CPAN.pm module to
send the results of building and testing modules to the CPAN Testers
project. Full support for CPAN::Reporter is available in CPAN.pm as of
version 1.92.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 16 2011 jquelin <jquelin> 1.190.200-1.mga1
+ Revision: 52582
- update to 1.1902

* Mon Jan 24 2011 jquelin <jquelin> 1.180.300-2.mga1
+ Revision: 36152
- mageia rebuild
- imported package perl-CPAN-Reporter


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 1.180.300-2mdv2011.0
+ Revision: 624647
- Change the license to Apache
- import perl-CPAN-Reporter

